Bug 1177486 - Review Request: golang-github-glacjay-goini - INI file parser in go
Summary: Review Request: golang-github-glacjay-goini - INI file parser in go
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1175471 1177487
TreeView+ depends on / blocked
 
Reported: 2014-12-27 22:30 UTC by Jan Chaloupka
Modified: 2015-02-08 19:22 UTC (History)
2 users (show)

Fixed In Version: golang-github-glacjay-goini-0-0.1.git5261baf.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 04:35:43 UTC
Type: ---
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2014-12-27 22:30:00 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-rakyll-goini/golang-github-rakyll-goini.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-rakyll-goini/golang-github-rakyll-goini-0-0.1.git907cca0.fc20.src.rpm

Description: INI file parser in go

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=8487016

$ rpmlint golang-github-rakyll-goini-0-0.1.git907cca0.fc20.src.rpm golang-github-rakyll-goini-devel-0-0.1.git907cca0.fc20.noarch.rpm golang-github-rakyll-goini.spec
golang-github-rakyll-goini.src: W: invalid-license Not filled so far
golang-github-rakyll-goini-devel.noarch: W: invalid-license Not filled so far
golang-github-rakyll-goini-devel.noarch: W: no-documentation
golang-github-rakyll-goini-devel.noarch: E: zero-length /usr/share/gocode/src/github.com/rakyll/goini/empty.ini
2 packages and 1 specfiles checked; 1 errors, 3 warnings.

Upstream: https://github.com/rakyll/goini

Notes: There is no README, no LICENSE file, no documentation.

Comment 1 Lokesh Mandvekar 2014-12-29 07:22:36 UTC
Specfile looks good except that it doesn't have any license so far like you noted. It's a fork of glacjay/goini which uses the MIT license, so maybe we should contact rakyll or perhaps package glacjay/goini and have it provide rakyll/goini (if that works at all)

Comment 2 Peter Lemenkov 2014-12-29 10:09:33 UTC
(In reply to Lokesh Mandvekar from comment #1)
> Specfile looks good except that it doesn't have any license so far like you
> noted. It's a fork of glacjay/goini which uses the MIT license, so maybe we
> should contact rakyll or perhaps package glacjay/goini and have it provide
> rakyll/goini (if that works at all)

I wonder maybe it's better for us to stick with the original repository rather than with the personal fork?

Comment 3 Jan Chaloupka 2015-01-02 12:24:25 UTC
Created a pull request for a licence:

https://github.com/rakyll/goini/pull/2

The original is different from the forked. It can work for fleet, it does not have to.

Comment 4 Jan Chaloupka 2015-01-13 11:34:26 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-glacjay-goini/golang-github-glacjay-goini.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-glacjay-goini/golang-github-glacjay-goini-0-0.1.git5261baf.fc20.src.rpm

Description: INI file parser in go

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=8602896

$ rpmlint golang-github-glacjay-goini-0-0.1.git5261baf.fc20.src.rpm golang-github-glacjay-goini-devel-0-0.1.git5261baf.fc20.noarch.rpm golang-github-glacjay-goini.spec
golang-github-glacjay-goini.src:62: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 62)
golang-github-glacjay-goini-devel.noarch: E: zero-length /usr/share/gocode/src/github.com/glacjay/goini/empty.ini
golang-github-glacjay-goini.spec:62: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 62)
2 packages and 1 specfiles checked; 1 errors, 2 warnings.

Notes: empty.ini is used in tests => ignore error. rakyll-goini is going to be provided as another tarball (older version of glacjay/goini).

Upstream: https://github.com/glacjay/goini

Comment 5 Lokesh Mandvekar 2015-01-18 23:40:39 UTC
Spec file looks good as per golang packaging draft.

- Upstream license is correct
- only sources installed for now

Package approved.

Comment 6 Jan Chaloupka 2015-01-18 23:49:44 UTC
New Package SCM Request
=======================
Package Name: golang-github-glacjay-goini
Short Description: INI file parser in go
Upstream URL: https://github.com/glacjay/goini
Owners: jchaloup lsm5
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 7 Gwyn Ciesla 2015-01-20 13:37:59 UTC
Git done (by process-git-requests).

f19 no longer accepting new branches.

Comment 8 Fedora Update System 2015-01-20 15:20:05 UTC
golang-github-glacjay-goini-0-0.1.git5261baf.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-glacjay-goini-0-0.1.git5261baf.fc20

Comment 9 Fedora Update System 2015-01-20 15:20:23 UTC
golang-github-glacjay-goini-0-0.1.git5261baf.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-glacjay-goini-0-0.1.git5261baf.fc21

Comment 10 Fedora Update System 2015-01-20 15:20:38 UTC
golang-github-glacjay-goini-0-0.1.git5261baf.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-glacjay-goini-0-0.1.git5261baf.el6

Comment 11 Fedora Update System 2015-01-21 22:59:49 UTC
golang-github-glacjay-goini-0-0.1.git5261baf.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2015-01-30 04:35:43 UTC
golang-github-glacjay-goini-0-0.1.git5261baf.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2015-01-30 04:46:21 UTC
golang-github-glacjay-goini-0-0.1.git5261baf.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2015-02-08 19:22:09 UTC
golang-github-glacjay-goini-0-0.1.git5261baf.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.